package main

import (
	"database/sql"
	"log"
	"sevenkeys/database"
	"sevenkeys/database/imports"
	"sevenkeys/scryfall"
)

func importSets(db *sql.DB) {
	setList, err := scryfall.GetSets()
	if err != nil {
		log.Fatal(err)
	}

	err = imports.InsertSets(db, setList)
	if err != nil {
		log.Fatal(err)
	}
}

func main() {
	db := database.GetDatabaseFromConfig("config.json")
	//imports.InsertColors(db)
	//importSets(db)
	// Import artists
	// Import gamepieces and printings
}
